Package org.zkoss.idom.impl

## Class EmptyNamedNodeMap

- java.lang.Object
- - org.zkoss.idom.impl.EmptyNamedNodeMap

- All Implemented Interfaces:
    `org.w3c.dom.NamedNodeMap`

      public class EmptyNamedNodeMap
      extends java.lang.Object
      implements org.w3c.dom.NamedNodeMap

  An empty NamedNodeMap.
  Author:
    tomyeh

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static org.w3c.dom.NamedNodeMap` | `THE` | The ONLY instance of EmptyNamedNodeMap.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `EmptyNamedNodeMap()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getLength()` |
    `org.w3c.dom.Node` | `getNamedItem​(java.lang.String name)` |
    `org.w3c.dom.Node` | `getNamedItemNS​(java.lang.String namespaceURI, java.lang.String localName)` |
    `org.w3c.dom.Node` | `item​(int index)` |
    `org.w3c.dom.Node` | `removeNamedItem​(java.lang.String name)` |
    `org.w3c.dom.Node` | `removeNamedItemNS​(java.lang.String namespaceURI, java.lang.String localName)` |
    `org.w3c.dom.Node` | `setNamedItem​(org.w3c.dom.Node arg)` |
    `org.w3c.dom.Node` | `setNamedItemNS​(org.w3c.dom.Node arg)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### THE

          public static final org.w3c.dom.NamedNodeMap THE

      The ONLY instance of EmptyNamedNodeMap.

  - ### Constructor Detail

    - #### EmptyNamedNodeMap

          protected EmptyNamedNodeMap()

  - ### Method Detail

    - #### getLength

          public int getLength()

      Specified by:
        `getLength` in interface `org.w3c.dom.NamedNodeMap`

    - #### getNamedItem

          public org.w3c.dom.Node getNamedItem​(java.lang.String name)

      Specified by:
        `getNamedItem` in interface `org.w3c.dom.NamedNodeMap`

    - #### getNamedItemNS

          public org.w3c.dom.Node getNamedItemNS​(java.lang.String namespaceURI,
                                                 java.lang.String localName)

      Specified by:
        `getNamedItemNS` in interface `org.w3c.dom.NamedNodeMap`

    - #### item

          public org.w3c.dom.Node item​(int index)

      Specified by:
        `item` in interface `org.w3c.dom.NamedNodeMap`

    - #### removeNamedItem

          public org.w3c.dom.Node removeNamedItem​(java.lang.String name)

      Specified by:
        `removeNamedItem` in interface `org.w3c.dom.NamedNodeMap`

    - #### removeNamedItemNS

          public org.w3c.dom.Node removeNamedItemNS​(java.lang.String namespaceURI,
                                                    java.lang.String localName)

      Specified by:
        `removeNamedItemNS` in interface `org.w3c.dom.NamedNodeMap`

    - #### setNamedItem

          public org.w3c.dom.Node setNamedItem​(org.w3c.dom.Node arg)

      Specified by:
        `setNamedItem` in interface `org.w3c.dom.NamedNodeMap`

    - #### setNamedItemNS

          public org.w3c.dom.Node setNamedItemNS​(org.w3c.dom.Node arg)

      Specified by:
        `setNamedItemNS` in interface `org.w3c.dom.NamedNodeMap`